Subject: bug#18102: 24.3; emacs stops responding to keyboard after closing frame

From: Stefan Monnier <[email-masked]>
Date: Mon, 08 Sep 2014 10:21:40 -0400

severity 18102 important
thanks

>> Sometimes after closing a frame, emacs ignores all key events in
>> remaining open frames after explicitly clicking in them to set
>> point. Ctrl-g does nothing. I can't type anything in those frames.

Could you run Emacs under GDB (see .../etc/DEBUG for some instructions)
to see what it's doing while it's not responsive?

You can also try (setq debug-on-event 'sigusr2) and then do a
"kill -USR2 <emacspid>" from the shell, to see if it gets you
a Lisp-level backtrace.

        Stefan